> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/entitlements/list#auth).

<br />

**Deprecated:** New integrations cannot use this method and can refer to our [new
recommendations](https://developers.google.com/android/work/deprecations#recommended_alternative_2).  
**This method will no longer be accessible by
anyone after September 30, 2025.** Lists all entitlements for the specified user. Only the ID is set.

<br />

## Request

### HTTP request

```
GET https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/users/userId/entitlements
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `userId` | `string` | The ID of the user. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "androidenterprise#entitlementsListResponse",
  "entitlement": [
    entitlements Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `entitlement[]` | `list` | An entitlement of a user to a product (e.g. an app). For example, a free app that they have installed, or a paid app that they have been allocated a license to. |   |
| `kind` | `string` | Identifies what kind of resource this is. Value: the fixed string `"androidenterprise#entitlementsListResponse"`. |   |